Debian Bug report logs - #620975
transition: python-apt

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Julian Andres Klode <jak@debian.org>

Date: Tue, 5 Apr 2011 14:51:01 UTC

Severity: normal

Done: Mehdi Dogguy <mehdi@dogguy.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jak@debian.org, deity@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#620975; Package release.debian.org. (Tue, 05 Apr 2011 14:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
New Bug report received and forwarded. Copy sent to jak@debian.org, deity@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Tue, 05 Apr 2011 14:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: python-apt
Date: Tue, 5 Apr 2011 16:48:46 +0200
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

As I wrote some time ago, the APT team would like to disable
the old python-apt API for Python 2.X now.

Preparation for this transition started more than a year ago,
and most packages are now fixed. The transition can be seen in
[1].

Some time ago, we uploaded 0.7.100+newapi with old API disabled
to experimental in order to allow further testing. We now uploaded
0.8.0~exp1 which does this again.

After the Python transition(s) and once we finished our
changes for the 0.8 release (1,2,3 weeks), we'd like to
upload a 0.8 release to unstable.

Packages remaining to be fixed/affected by this transition:
  - python-debian (needs update)
  - debdelta (leaf package)
  - dogtail (leaf package, removefromtesting)
  - computer-janitor (leaf package, removefromtesting)
  - software-properties (needs update)

I'd be ready to NMU python-debian. I provided a patch
for debdelta over a year ago, but it was not included
in any upload since then. Dogtail seems to be un-
maintained and could be removed from testing. Computer
Janitor is maintained by me, and needs a larger update,
but could be removed from testing in the meantime. The
worst problem is software-properties which needs a
large update.

[1] http://bugs.debian.org/cgi-bin/pkgreport.cgi?users=deity@lists.debian.org;tag=python-apt-0-8-api

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (250, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.
[Message part 2 (application/pgp-signature, inline)]

Added blocking bug(s) of 620975: 572072, 604544, 572087, 572350, and 572059 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 05 Apr 2011 21:36:34 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 620975: 617272 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 05 Apr 2011 21:36:39 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#620975; Package release.debian.org. (Sat, 16 Apr 2011 13:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 16 Apr 2011 13:00:04 GMT) Full text and rfc822 format available.

Message #14 received at 620975@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: 620975@bugs.debian.org
Cc: "control@bugs.debian.org" <control@bugs.debian.org>
Subject: Re: Bug#620975: transition: python-apt
Date: Sat, 16 Apr 2011 14:56:36 +0200
block 620975 with 622279
thanks

On Di, 2011-04-05 at 16:48 +0200, Julian Andres Klode wrote:
> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: transition
> 
> As I wrote some time ago, the APT team would like to disable
> the old python-apt API for Python 2.X now.
> 
> Preparation for this transition started more than a year ago,
> and most packages are now fixed. The transition can be seen in
> [1].
> 
> Some time ago, we uploaded 0.7.100+newapi with old API disabled
> to experimental in order to allow further testing. We now uploaded
> 0.8.0~exp1 which does this again.
> 
> After the Python transition(s) and once we finished our
> changes for the 0.8 release (1,2,3 weeks), we'd like to
> upload a 0.8 release to unstable.
The python-apt transition is not urgent, and as I wrote, should be done
after the Python transitions, so let's block it by the python-defaults
transition. And having more time for python-apt 0.8's multi-arch stuff
may be a good idea as well, we're still missing a few properties here
and there.

Of course, if you want to do this transition first, change the blocking
direction.

> Packages remaining to be fixed/affected by this transition:
>   - python-debian (needs update)
Fixed

>   - debdelta (leaf package)
>   - dogtail (leaf package, removefromtesting)
>   - computer-janitor (leaf package, removefromtesting)
No status change

>   - software-properties (needs update)
Fixed

There's also a new bug with update-notifier, although I haven't reported
it yet. update-notifier currently does not byte-compile it's python
script or use python in its build, so it's not part of the python
transition, and can be updated while the transition is undergoing.


-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.






Added blocking bug(s) of 620975: 622279 Request was from Julian Andres Klode <jak@debian.org> to control@bugs.debian.org. (Sat, 16 Apr 2011 13:00:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#620975; Package release.debian.org. (Tue, 24 May 2011 13:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 24 May 2011 13:48:03 GMT) Full text and rfc822 format available.

Message #21 received at 620975@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Julian Andres Klode <jak@debian.org>, 620975@bugs.debian.org
Subject: Re: Bug#620975: transition: python-apt
Date: Tue, 24 May 2011 15:45:55 +0200
On 05/04/2011 16:48, Julian Andres Klode wrote:
> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: transition
> 
> As I wrote some time ago, the APT team would like to disable
> the old python-apt API for Python 2.X now.
> 
> Preparation for this transition started more than a year ago,
> and most packages are now fixed. The transition can be seen in
> [1].
> 

Are you ready to start this transition? If so, please go ahead.

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Added tag(s) pending. Request was from Mehdi Dogguy <mehdi@debian.org> to control@bugs.debian.org. (Tue, 24 May 2011 16:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#620975; Package release.debian.org. (Fri, 27 May 2011 14:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 27 May 2011 14:36:08 GMT) Full text and rfc822 format available.

Message #28 received at 620975@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: 620975@bugs.debian.org
Cc: 572059@bugs.debian.org, 572087@bugs.debian.org, 572072@bugs.debian.org, "control@bugs.debian.org" <control@bugs.debian.org>
Subject: Re: Bug#620975: transition: python-apt
Date: Fri, 27 May 2011 16:32:56 +0200
[Message part 1 (text/plain, inline)]
severity 572059 grave
severity 572087 grave
severity 572072 grave
thanks

On Tue, 2011-05-24 at 15:45 +0200, Mehdi Dogguy wrote:
> On 05/04/2011 16:48, Julian Andres Klode wrote:
> > Package: release.debian.org
> > Severity: normal
> > User: release.debian.org@packages.debian.org
> > Usertags: transition
> > 
> > As I wrote some time ago, the APT team would like to disable
> > the old python-apt API for Python 2.X now.
> > 
> > Preparation for this transition started more than a year ago,
> > and most packages are now fixed. The transition can be seen in
> > [1].
> > 
> 
> Are you ready to start this transition? If so, please go ahead.
0.8.0 uploaded to unstable. Increasing the other bug severities to
release critical (grave, as they are uninstallable and thus unusable
now).

-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.

[signature.asc (application/pgp-signature, inline)]

Removed blocking bug(s) of 620975: 622279 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 30 May 2011 20:03:03 GMT) Full text and rfc822 format available.

Reply sent to Mehdi Dogguy <mehdi@dogguy.org>:
You have taken responsibility. (Tue, 07 Jun 2011 06:36:16 GMT) Full text and rfc822 format available.

Notification sent to Julian Andres Klode <jak@debian.org>:
Bug acknowledged by developer. (Tue, 07 Jun 2011 06:36:16 GMT) Full text and rfc822 format available.

Message #35 received at 620975-done@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Julian Andres Klode <jak@debian.org>, 620975-done@bugs.debian.org
Subject: Re: Bug#620975: transition: python-apt
Date: Tue, 07 Jun 2011 08:30:25 +0200
On 05/27/2011 04:32 PM, Julian Andres Klode wrote:
> 0.8.0 uploaded to unstable. Increasing the other bug severities to
> release critical (grave, as they are uninstallable and thus unusable
> now).
> 

and now, migrated to testing.

Kind regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 05 Jul 2011 07:37:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:29:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.